package ru.yandex.webmaster3.api.sitemap;

import ru.yandex.webmaster3.api.http.common.request.locator.AbstractHostLocator;
import ru.yandex.webmaster3.api.sitemap.data.ApiSitemapId;
import ru.yandex.webmaster3.core.data.WebmasterHostId;

/**
 * @author avhaliullin
 */
public class UserAddedSitemapLocator extends AbstractHostLocator {
    private final ApiSitemapId sitemapId;

    public UserAddedSitemapLocator(long userId, WebmasterHostId hostId, ApiSitemapId sitemapId) {
        super(userId, hostId);
        this.sitemapId = sitemapId;
    }

    public ApiSitemapId getSitemapId() {
        return sitemapId;
    }
}
